summaryrefslogtreecommitdiffstats
path: root/ham
diff options
context:
space:
mode:
author JK Wood <joshuakwood@gmail.com>2014-07-12 16:35:15 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-07-12 16:35:15 +0700
commit34f0603b66e86d26ff4fd192451a3ec67c6de30c (patch)
tree19346c11bf0cdad22ce430838f9a5073a6e29d55 /ham
parentc2e70acc5833580062c968e8015df2d38b97cd34 (diff)
downloadslackbuilds-34f0603b66e86d26ff4fd192451a3ec67c6de30c.tar.gz
slackbuilds-34f0603b66e86d26ff4fd192451a3ec67c6de30c.tar.xz
ham/soundmodem: Added (Sound card driver for packet radio).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'ham')
-rw-r--r--ham/soundmodem/README3
-rw-r--r--ham/soundmodem/slack-desc19
-rw-r--r--ham/soundmodem/soundmodem.SlackBuild99
-rw-r--r--ham/soundmodem/soundmodem.info10
4 files changed, 131 insertions, 0 deletions
diff --git a/ham/soundmodem/README b/ham/soundmodem/README
new file mode 100644
index 0000000000..1215015df1
--- /dev/null
+++ b/ham/soundmodem/README
@@ -0,0 +1,3 @@
+soundmodem is userspace software for emulating a hardware TNC (Terminal
+Node Controller) in software. Allows the use of a computer soundcard for
+packet radio purposes.
diff --git a/ham/soundmodem/slack-desc b/ham/soundmodem/slack-desc
new file mode 100644
index 0000000000..c981e1516c
--- /dev/null
+++ b/ham/soundmodem/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+soundmodem: soundmodem (Sound card driver for packet radio)
+soundmodem:
+soundmodem: Driver and userspace utilities for using a sound card as a packet
+soundmodem: radio modem (TNC).
+soundmodem:
+soundmodem: Homepage: http://soundmodem.vk4msl.yi.org/
+soundmodem:
+soundmodem:
+soundmodem:
+soundmodem:
+soundmodem:
diff --git a/ham/soundmodem/soundmodem.SlackBuild b/ham/soundmodem/soundmodem.SlackBuild
new file mode 100644
index 0000000000..3b95b1d69f
--- /dev/null
+++ b/ham/soundmodem/soundmodem.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+# Slackbuild for soundmodem
+# Written by JK Wood joshuakwood@gmail.com
+
+# Slackbuild is released under the Dog-on-Fire License:
+# If use of this script causes your dog to catch on fire,
+# you agree to send me five dollars. Or a picture
+# of the dog on fire.
+# Otherwise, you're on your own. I've tested the script
+# on my own computer, and it hasn't broken anything.
+# So if it does it on your computer, that falls in
+# the realm of "Not my problem."
+#
+# Of course, if you'll send a bug report to the above
+# email address, I may be able to see what you did
+# wrong and prevent it from happening in the future.
+# In which case, I may just send YOU five dollars.
+
+PRGNAM=soundmodem
+VERSION=${VERSION:-0.18}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --libdir=/usr/${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING* INSTALL NEWS README* doc/*.sgml $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -name "Makefile" -exec rm {} \;
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+# Config files
+mkdir -p $PKG/etc/ax25
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+#cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/ham/soundmodem/soundmodem.info b/ham/soundmodem/soundmodem.info
new file mode 100644
index 0000000000..8ce2e35d97
--- /dev/null
+++ b/ham/soundmodem/soundmodem.info
@@ -0,0 +1,10 @@
+PRGNAM="soundmodem"
+VERSION="0.18"
+HOMEPAGE="http://soundmodem.vk4msl.yi.org/"
+DOWNLOAD="http://soundmodem.vk4msl.yi.org/soundmodem-0.18.tar.gz"
+MD5SUM="5058b3cc0397f11f23c3eb519960c47e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="JK Wood"
+EMAIL="joshuakwood@gmail.com"